Bug 182737 - Review Request: kdetoys
Review Request: kdetoys
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-24 08:07 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 21:14:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-02-24 08:07:46 EST
Spec Name or Url:  http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdetoys-3.5.1-2.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdetoys-3.5.1-2.src.rpm
Description: Includes:
* amor: Amusing Misuse Of Resources put's comic figures above your windows
* eyesapplet: a kicker applet similar to XEyes
* fifteenapplet: kicker applet, order 15 pieces in a 4x4 square by moving them
* kaphorism: displays aphorisms
* kmoon: system tray applet showing the moon phase
* kodo: mouse movement meter
* kscore: kicker applet with a sports ticker
* kteatime: system tray applet that makes sure your tea doesn't get too strong
* ktux: Tux-in-a-Spaceship screen saver
* kweather: kicker applet that will display the current weather outside
* kworldwatch: application and kicker applet showing daylight area on the world
               globe
Comment 1 Aurelien Bompard 2006-03-05 11:26:54 EST
Needs work:
* BuildRequires: gettext is missing (required by the %find_lang macro)
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)
* The package contains libtool archive files (*.la)
  (wiki: PackagingGuidelines#StaticLibraries)
  They can be required by KDE apps sometimes. If it's the case here, it would be
  good to add a comment about it.
* Desktop files: some don't contain the "Application" category, and the "vendor" 
  should be fedora. (wiki: PackagingGuidelines#desktop)

Notes:
* maybe "%{!?debug_package:-strip}" can be dropped in make install ? What do you
think (IIRC it's needed for old distributions only)
Comment 2 Rex Dieter 2006-03-05 18:18:57 EST
> * BuildRequires: gettext is missing (required by the %find_lang macro)

Really?  Didn't know that, thanks.

> * The package should contain the text of the license

Duh, can't believe I missed that.

> * The package contains libtool archive files (*.la)

These are for loadable modules, not shared libraries.  Regardless, in this case,
they're needed.

> * Desktop files: some don't contain the "Application" category, 
> and the "vendor" should be fedora. (wiki: PackagingGuidelines#desktop)

Category: OK.  vendor, I recently raised that issue on the packagers mailing
list and the consensus was to only use fedora as vendor in the absense of an
existing/proper one (in this case, the proper vendor is kde).

> * maybe "%{!?debug_package:-strip}" can be dropped

Yeah, probably.  That's just to help folks who don't have redhat-rpm-config
installed.
Comment 3 Rex Dieter 2006-03-06 09:54:51 EST
%changelog
* Mon Mar 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.3.5-3
- %%doc AUTHORS COPYING README
- BR: gettext 
- drop %%{?debug_package} reference
- desktop-file-install --vendor="kde"/--add-category="Application",
  where needed
- comment inclusion of .la files

Spec Name or Url: 
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdetoys-3.5.1-3.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdetoys-3.5.1-3.src.rpm
Comment 4 Aurelien Bompard 2006-03-08 16:03:23 EST
Review for release 3:
* RPM name is OK
* Source kdetoys-3.5.1.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine
APPROVED
Comment 5 Rex Dieter 2006-03-08 20:53:01 EST
Thanks, importing now.
Comment 6 Rex Dieter 2006-03-08 21:14:24 EST
6100 (kdetoys): Build on target fedora-development-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/6100-kdetoys-3.5.1-3.fc5/

Yay.

Note You need to log in before you can comment on or make changes to this bug.